Operating Systems - Feature # 150: Make sure Debian and Ubuntu installers correctly install GRUB2
Subject: Make sure Debian and Ubuntu installers correctly install GRUB2

Description: At the moment the Debian and Ubuntu installers try to create a GRUB-legacy @/boot/grub/menu.lst@ file

without actually running *grub-install*.

Now that booting with pvgrub is a possibility, these should be allowed to do what they normally do, as
installation of GRUB2 will be fine.

History

2017-02-16 08:16 - admin

Removing all my preseed / post-install bootloader trickery results in Debian jessie just installing *grub-pc*, which works.
2017-02-16 08:19 - admin
Without the preseed / post-install trickery, Debian stretch seems to take it upon itself to install *grub-xen*, which is meant to result in chainloading to

guest's own GRUB binary.

This doesn't appear to work for i686, so for now I've added back some post-install trickery to force install of *grub-pc*, which in turn forces removal of

*grub-xen*. That then works fine.

2017-02-17 14:48 - admin
Ubuntu 14.04.x (Trusty Tahr) now installs GRUB2 by default, works fine.

2017-02-17 16:25 - admin
- Status changed from New to Closed

Ubuntu 16.04.x (Xenial Xerus) now installs GRUB2 by default and works fine.

Ubuntu 12.04.x (Precise Pangolin) currently doesn't successfully boot the installer kernel. As this release goes end of life in about 6 weeks | have just

removed it from the installer.

So that's all of the Debian/Ubuntu installers completed.
